/* rugby-score-store.h
 *
 * Copyright © 2012, 2016 Bruce Cowan <bruce@bcowan.eu>
 *
 * This file is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This file is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <gtk/gtk.h>

G_BEGIN_DECLS

enum
{
    RUGBY_SCORE_STORE_TRIES,
    RUGBY_SCORE_STORE_UTRIES,
    RUGBY_SCORE_STORE_KICKS,
    RUGBY_SCORE_STORE_TOOLTIP,
    RUGBY_SCORE_STORE_COLUMNS
};

#define RUGBY_TYPE_SCORE_STORE rugby_score_store_get_type ()
G_DECLARE_FINAL_TYPE (RugbyScoreStore, rugby_score_store, RUGBY, SCORE_STORE, GtkListStore)

RugbyScoreStore * rugby_score_store_new       (void);
gint              rugby_score_store_get_score (RugbyScoreStore *store);
void              rugby_score_store_set_score (RugbyScoreStore *store,
                                               gint             score);

G_END_DECLS
